<?php
/* Metodos de acceso a los campos de la tabla GSS_Sucursal redefinidos por el usuario */
class GSS_SucursalBN extends BaseGSS_SucursalBN
{
    public function getCantAlmacen()
    {
        return ALM_AlmacenMastFN::recuperarCantidadAlmacen( $this->getIdCompania(), $this->getIdSucursal() );
    }
    
    public function getObjSucursalUsuario( $IdUsuario )
    {
        $o_SEG_SucursalUsuarioFN = new SEG_SucursalUsuarioFN();
        $o_SEG_SucursalUsuarioFN->setIdSucursal( $this->getIdSucursal() );
        $o_SEG_SucursalUsuarioFN->setIdUsuario( $IdUsuario );
        $a_SEG_SucursalUsuario = $o_SEG_SucursalUsuarioFN->select();
        if( $a_SEG_SucursalUsuario )
        {
            return $a_SEG_SucursalUsuario[0];
        }
        return null;
    }

    public function getExoneradorIGVDesc()
    {
        if( $this->getEstaExoneradoIGV() )
        {
            return "SI";
        }
        return "NO";
    }
}
?>